package com.pandoli365.bibimbap.abstracts;

public abstract class Result {
    public int status;
    public String message;

    public Result() {}
    public Result(int status) {
        this.status = status;
        switch (status)
        {
            case 200:
                this.message = "Success"; return;
            case 400:
                this.message = "Invalid Request"; return;
            case 401:
                this.message = "세션 만료"; return;
            case 1000:
                this.message = "NULL USERS"; return;
            default:
                System.out.println("잘못된 status 케이스");
                this.message = "";
                return;
        }
    }

}